CVE-2006-2951
CVSS6.8
发布时间 :2006-06-12 16:06:00
修订时间 :2011-09-13 00:00:00
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in Net Portal Dynamic System (NPDS) 5.10 and earlier allow remote attackers to inject arbitrary web script and HTML via the (1) Titlesitename or (2) sitename parameter to (a) header.php, (3) nuke_url parameter to (b) meta/meta.php, (4) forum parameter to (c) viewforum.php, (5) post_id, (6) forum, (7) topic, or (8) arbre parameter to (d) editpost.php, or (9) uname or (10) email parameter to (e) user.php.


[CNNVD]NPDS 多个跨站脚本攻击(XSS)漏洞(CNNVD-200606-211)

        Net Portal Dynamic System (NPDS) 5.10及更早版本存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可通过传给(a)header.php的(1)Titlesitename或(2)sitename参数,传给(b)meta/meta.php的(3)nuke_url参数, 传给(c)viewforum.php的(4)forum参数,传给(d)editpost.php的(5)post_id,(6)forum,(7)topic或(8)arbre参数,或者传给(e)user.php的(9)uname或(10)email参数,来注入任意Web脚本和HTML。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)

cpe:/a:npds:npds:4.8
cpe:/a:npds:npds:5.10
cpe:/a:npds:npds:5.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2951
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2951
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-211
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/27123
(UNKNOWN)  XF  npds-multiple-scripts-xss(27123)
http://www.vupen.com/english/advisories/2006/2233
(VENDOR_ADVISORY)  VUPEN  ADV-2006-2233
http://www.securityfocus.com/bid/18383
(UNKNOWN)  BID  18383
http://www.securityfocus.com/archive/1/archive/1/436442/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060608 NPDS <= 5.10 Local Inclusion, XSS, Full path disclosure
http://www.osvdb.org/26296
(UNKNOWN)  OSVDB  26296
http://www.osvdb.org/26295
(UNKNOWN)  OSVDB  26295
http://www.osvdb.org/26294
(UNKNOWN)  OSVDB  26294
http://www.osvdb.org/26293
(UNKNOWN)  OSVDB  26293
http://www.osvdb.org/26292
(UNKNOWN)  OSVDB  26292
http://www.acid-root.new.fr/advisories/npds510.txt
(UNKNOWN)  MISC  http://www.acid-root.new.fr/advisories/npds510.txt
http://securityreason.com/securityalert/1076
(UNKNOWN)  SREASON  1076
http://secunia.com/advisories/20523
(VENDOR_ADVISORY)  SECUNIA  20523

- 漏洞信息

NPDS 多个跨站脚本攻击(XSS)漏洞
中危 跨站脚本
2006-06-12 00:00:00 2006-06-14 00:00:00
远程  
        Net Portal Dynamic System (NPDS) 5.10及更早版本存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可通过传给(a)header.php的(1)Titlesitename或(2)sitename参数,传给(b)meta/meta.php的(3)nuke_url参数, 传给(c)viewforum.php的(4)forum参数,传给(d)editpost.php的(5)post_id,(6)forum,(7)topic或(8)arbre参数,或者传给(e)user.php的(9)uname或(10)email参数,来注入任意Web脚本和HTML。

- 公告与补丁

        暂无数据

- 漏洞信息

26292
NPDS header.php Multiple Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

NPDS contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'Titlesitename' or 'sitename' variables upon submission to the header.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-06-09 Unknow
2006-06-09 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站